Commit aeb958be by Stéphane Graber

lxc-ls: Don't exit 1 when no container or help

lxc-ls is currently exiting with return code 1 when called with --help or when called on a system without containers. This behaviour isn't documented in the manpage and isn't terribly intuitive. It's been the source of quite a few weird failures in scripts running with set -e. As a user calling --help is a voluntary action, lxc-ls should exit 0. Also, as lxc-ls's goal is solely to list containers, showing an error and exiting with return code 1 when there's no container seems counter-intuitive and error-prone. Signed-off-by: 's avatarStéphane Graber <stgraber@ubuntu.com>
parent 9b106331
......@@ -75,7 +75,7 @@ directory=$(readlink -f "$lxc_path")
for i in "$@"; do
case $i in
--help)
help; exit 1;;
help; exit;;
--active)
get_parent_cgroup; directory="$parent_cgroup"; shift;;
--)
......@@ -90,10 +90,5 @@ if [ ! -z "$directory" ]; then
containers=$(find $directory -mindepth 1 -maxdepth 1 -type d -printf "%f\n" 2>/dev/null)
fi
if [ -z "$containers" ]; then
echo "$(basename $0): no containers found" >&2
exit 1
fi
cd "$directory"
ls -d $@ -- $containers
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment